PETSc version 3.15.5
Fix/Edit manual page

# PetscMPIIntSortSemiOrdered

Sorts an array of PetscMPIInts in place in increasing order.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMPIIntSortSemiOrdered(PetscInt n, PetscMPIInt arr[])

Not Collective

### Input Parameters

| n | - number of values
| arr | - array of PetscMPIInts

### Output Parameters

| arr | - sorted array of integers

### Notes

If the array is less than 64 entries long PetscSortMPIInt() is automatically used.

This function serves as an alternative to PetscSortMPIInt(). While this function works for any array of PetscMPIInts it is significantly faster if the array is not totally random. There are exceptions to this and so it is __highly__ recomended that the user benchmark their code to see which routine is fastest.

### See Also

PetscTimSort(), PetscSortMPIInt()

### Level

intermediate

### Location

src/sys/utils/sortso.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages